#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    vector<int> a;
    vector<int> b;

    for (int i = 0; i < n; i++) {
        if (i % 2 == 0) {
            a.push_back(i + 1);
            b.push_back(i + 2);
        }
        else {
            a.push_back(2 * n - i);
            b.push_back(2 * n - i + 1);
        }
    }


    for (int i = 0; i < n; i++) cout << a[i] << " ";
    cout << "\n";
    for (int i = 0; i < n; i++) cout << b[i] << " ";

    return 0;
}